> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch task batch status

> Fetch the creation status of an asynchronous Task submission. Status records are available for seven days. Possible statuses are queued, processing, canceled, completed, completed_with_errors, and failed. Up to 100 row errors are returned.



## OpenAPI

````yaml get /api/v2/tasks/batches/{batchId}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/tasks/batches/{batchId}:
    get:
      tags:
        - Tasks
      summary: Fetch task batch status
      description: >-
        Fetch the creation status of an asynchronous Task submission. Status
        records are available for seven days. Possible statuses are queued,
        processing, canceled, completed, completed_with_errors, and failed. Up
        to 100 row errors are returned.
      parameters:
        - name: batchId
          in: path
          required: true
          schema:
            type: string
          description: Server-generated asynchronous batch UUID
      responses:
        '200':
          description: Task batch submission status
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  batchId:
                    type: string
                    example: f52b1e01-5cbc-483c-9939-3bf7d37e1426
                  status:
                    type: string
                    example: processing
                  source:
                    type: string
                    example: api/tasks
                  submitted:
                    type: number
                    example: 2500
                  processed:
                    type: number
                    example: 1250
                  inserted:
                    type: number
                    example: 1248
                  rejected:
                    type: number
                    example: 2
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        rowIndex:
                          type: number
                          example: 14
                        externalTaskId:
                          type: string
                          example: lead-14
                        message:
                          type: string
                          example: Invalid target
                  createdAt:
                    type: number
                    example: 1712345678
                  updatedAt:
                    type: number
                    example: 1712345700
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  batchId:
                    type: string
                    example: f52b1e01-5cbc-483c-9939-3bf7d37e1426
                  status:
                    type: string
                    example: processing
                  source:
                    type: string
                    example: api/tasks
                  submitted:
                    type: number
                    example: 2500
                  processed:
                    type: number
                    example: 1250
                  inserted:
                    type: number
                    example: 1248
                  rejected:
                    type: number
                    example: 2
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        rowIndex:
                          type: number
                          example: 14
                        externalTaskId:
                          type: string
                          example: lead-14
                        message:
                          type: string
                          example: Invalid target
                  createdAt:
                    type: number
                    example: 1712345678
                  updatedAt:
                    type: number
                    example: 1712345700
                xml:
                  name: main
        '401':
          description: Unauthorized
        '404':
          description: Task batch submission not found or expired
        '500':
          description: Internal Server Error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````